import request from "@/utils/request";
/**
 * 预约洗车-洗车类型
 */
export function getByTypeCode(data) {
  return request.post("/api/common/getByTypeCode", data, { login: true });
}
/**
 * 预约洗车-默认价格
 */
export function getDefaultPrice(data) {
  return request.get("/api/shop/defaultPrice", data, { login: true });
}
/**
 * 预约洗车-可用套餐列表
 */
export function getMyPackage(data) {
  return request.get("/api/userPackage/myPackage", data, { login: true });
}
/**
 * 预约洗车-立即预约
 */
export function carwashOrder(data) {
  return request.post("/api/carwashOrder/washOrder", data, { login: true });
}
/**
 * 预约洗车-订单列表
 */
export function carwashOrderList(data) {
  return request.post("/api/carwashOrder/list", data, { login: true,loading:true });
}
/**
 * 预约洗车-订单详情
 */
export function carwashOrderDetail(data) {
  return request.post("/api/carwashOrder/detail", data, { login: true,loading:true });
}